"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultSettings = exports.initCache = void 0;
var noop_1 = require("./noop");
exports.initCache = {
    token: null,
    expiration: 0
};
exports.defaultSettings = {
    refreshBuffer: 10,
    header: 'Authorization',
    formatter: function (access_token) { return "Bearer ".concat(access_token); },
    onTokenRefresh: noop_1.noop,
    onAuthFail: noop_1.noop,
    onTokenRequestFail: noop_1.noop,
    refreshOnStatus: [401],
    tokenTryThreshold: 10,
    onTokenTryThreshold: noop_1.noop,
    onRecoveryTry: noop_1.noop,
    maxRecoveryTries: 5,
    onRecoveryAbort: noop_1.noop,
    addTokenToLogs: false
};
